split.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <boost/shared_ptr.hpp>`
`#include <roboptim/core/n-times-derivable-function.hh>`
`#include <roboptim/core/filter/split.hxx>`

## Classes

class | roboptim::Split< T >

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

template<typename P , typename C >
void | roboptim::addNonScalarConstraint (P &problem, boost::shared_ptr< C > constraint, std::vector< Function::interval_t > interval, std::vector< Function::value_type > scale=std::vector< Function::value_type >()) throw (std::runtime_error)